@charset 'UTF-8';

/*
VARIABLES
================================================ */
:root {
    --light-green: #d5edeb;
    --green: #63dbd0;
    --brown: #403632;
    --light-grey: #eee;
    --white: #fff;
    --oswald-font: 'Oswald', sans-serif;
}

/*
GENERAL STYLING
================================================ */
body {
    color: var(--brown);
    background: url('images/bg-shadow.jpg') no-repeat right bottom / cover fixed;
    text-align: center;

    word-break: keep-all;
}

/*
COMMON
================================================ */

img {
    max-width: 100%;
}
.title {
    font-family: var(--oswald-font);
    font-size: min(10vw, 4rem);
    margin-bottom: 2rem;
}
.btn {
    color: var(--white);
    background: var(--brown);
    border: 1px solid var(--brown);
    text-decoration: none;
    padding: 1rem;
    display: inline-block;
    margin: 2rem 0;
    transition: .4s;
}
.fadein{
    opacity: 0;
}

/*
LAYOUT
================================================ */
.wrapper {
    margin: auto;
    padding: 0 1rem;
}

/*
LOADING
================================================ */
#loading {
    background-color: var(--light-grey);
    position: fixed;
    z-index: 9999;
    inset: 0;
    display: grid;
    place-items: center;
}
#loading-screen {
    background-color: var(--light-green);
    position: fixed;
    inset: 0;
    z-index: 9998;
    translate: 0 100vh;
}
#loading p {
    font-size: 2rem;
    font-family: var(--oswald-font);
}

/*
header
=================================================*/

header{
    background-color: navy;
}

.align-center {
    text-align: center;

}

.logo {
    width: 80%;
    margin: 10px;

}


/*
SLIDE MENU
================================================ */
/* 開閉ボタン */
.btn-menu {
    position: fixed;
    right: 1rem;
    top: 1rem;
    z-index: 4;
    padding: .5rem 1rem;
    border: 1px solid var(--brown);
    border-radius: 50%;
    height: 4rem;
    width: 4rem;
    transition: .4s;

    background-color: white;
}
.btn-menu svg {
    fill: var(--brown);
    margin-top: .25rem;
    height: 2rem;
    width: 2rem;
}

/* 閉じるボタン */
#menu-close {
    border: 1px solid var(--light-green);
}
#menu-close svg {
    fill: var(--light-green);
}

/* スライドメニューパネル */
#menu-panel {
    position: fixed;
    top: 0;
    right: 0;
    z-index: 4;
    padding: 7rem 2rem 2rem;
    width: max(32vw, 20rem);
    height: 100vh;
    background-color: var(--brown);
    box-shadow: 0 0 2rem var(--brown);
    font-family: var(--oswald-font);
    translate: 100vw;

    overflow-y: scroll;
}
.menu-list {
    list-style: none;
}
.menu-list li {
    margin: 3px 0 3px 0;
    opacity: 0;

    color: white;

    font-size: 100%;
    font-weight: bold;
}
.menu-list a {
    color: var(--light-green);
    text-decoration: none;
    font-size: 80%;
}


/*デスクトップ版メニュー*/
#pc{
    display: flex;

    justify-content: center;    
}

/*ナビゲーション*/
#drop-down-menu {

  margin: 0px;
  padding: 0px;

  list-style-type: none;
  
  text-align: center;

  
  font-size: 1fr;
  font-weight: bold;
  
  width: auto;
  z-index: calc(infinite);

  

}

#drop-down-menu li {
    float:left;
    
    width: 240px;
    position: relative;
}

#drop-down-menu li a {
  text-decoration: none;
  color: #FFFFFF;
  background-color: #0000FF;
  display: block;
  padding: 5px;
}
#drop-down-menu li:hover a {
  background-color: #000080;
}
#drop-down-menu1 li:hover ul {
  display: block;
}
#drop-down-menu li ul {
  margin: 0px;
  padding: 0px;
  list-style-type: none;
  display: none;
}

#drop-down-menu li:hover ul 
{display: block;
 height: 200px;
 }

#drop-down-menu li ul a {
  display: block;
  text-decoration: none;
  color: #FFFFFF;
  background-color: #0000FF;
}
#drop-down-menu li ul li:hover a {
  background-color: #008080;
}

/*クリアフィックス*/
#drop-down-menu:after {
  content: "";
  clear: both;
  display: block;
}

/*レスポンシブ対応*/

@media (min-width:601px){#smenu
    {display: none;}}    

@media (max-width:600px){#pc{display: none;}}


/*説明*/
.about{
    padding: 1em;

}


.about h2{
    color: #0000FF;
}

.about p{
    margin:1.5rem 3rem;

    text-align: center;

}

@media(max-width:600px){
.about h2{
    color: #0000FF;
}

.about p{

    margin:1.5rem 3rem;
}
}

/*
information
================================================ */
.information {
    background: var(--light-grey);
    
}
.information p {
    text-align: center;
}

/*information block*/

.info-block-body{

    margin: 10px;
    padding: 10px;



    background-color: aliceblue;
}

@media(min-width:800px){
    .info-block-body{

    display: flex;
    justify-content: space-between;
    
    margin: 10px;
    padding: 10px;



    background-color: aliceblue;
}
}



.info-block{
  border-style: solid;
  border-color: #000080;

  margin: 10px;
}



.info-block h2{
    text-align: center;
    background-color: #010101;
    color: #FFFFFF;}

.info {
  -webkit-overflow-scrolling: touch;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;

  display: -webkit-box;
  flex-direction: column;

  flex-wrap: wrap;
  
  max-width: 800px;
  height: 25em;
  margin: 0 auto;
  
  overflow-y: scroll
}

@media (min-width:800px) {
  .info {
    -webkit-box-orient:horizontal;
    -webkit-box-direction: normal;

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;

  }
}

.info dd,
.info dt {
  box-sizing: border-box;
  width: 100%;
  padding-bottom: .5em;
  padding-left: .5em
}

.info dt {
  font-style: normal;
  font-weight: initial
}

@media (min-width:600px) {
  .info dt {
    width: 12.5em;
    margin-bottom: .5em;
    border-bottom: 1px dotted #343a40
  }
}

.info dt:first-of-type {
  padding-top: .5em;
  border-top: 1px dotted #343a40
}

.info dt time {
  margin-right: .3em
}

.info dt span {
  box-sizing: border-box;
  display: inline-block;
  width: 7em;
  margin-right: .5em;
  padding: 0 .5em;
  background-color: #009688;
  color: #fff;
  font-size: .8em;
  line-height: 1.75;
  text-align: center
}

.info time {
  color: black
}

.info dd {
  margin-left: 0;
  margin-bottom: .5em;
  border-bottom: 1px dotted #343a40;

}

@media (min-width:600px) {
  .info dd {
    width: calc(100% - 12.5em)
  }
  .info dd:first-of-type {
    padding-top: .5em;
    border-top: 1px dotted #343a40
  }
}

.info dd:nth-of-type(-n+3) {
  position: relative
}


/*
DESKTOP SIZE
================================================ */
@media(min-width: 800px){
/* COMMON */
    .title {
        margin-bottom: 3rem;
    }
    .btn:hover {
        color: var(--brown);
        background: var(--light-green);
    }

/* SLIDE MENU */
    .btn-menu:hover {
        background-color: var(--light-green);
    }
    #menu-close:hover svg {
        fill: var(--brown);
    }
    .menu-list a:hover {
        transition: .4s;
        color: var(--green);
    }


/* information*/

    .information {
        display: flex;
        margin: 1rem 0;
    }
    .information p {
        text-align-last: left;
    }
    .concept img {
        margin: -6rem 0;
        max-width: 38rem;
    }    
}



/*footer*/
footer{
    background: navy;
}

.SNS-icon{
    display: flex;

    justify-content: center;
    align-items: center;

    margin: 20px;

}


.facebook-logo,.Instagram-logo,.X-logo,.YouTube-logo{
  width: 50px;
  height: 50px;

  margin: 10px;
}

.note-logo{

    background:black;

  width: 50px;
  height: 50px;

    margin: 10px;
}

.copyright{
    color: white;
    text-align: center;
    align-items: end;
}


/*ページの見出し*/
#heading{
    background: #0bd;
    color: #fff;
    display: inline-block;
    padding: 6rem 3rem;
    border-radius: 50%;
}